Index: LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 1795)
@@ -656,5 +38,5 @@
        ok_hf,ok_instan,ok_LES,ok_ade,ok_aie, read_climoz, &
        phys_out_filestations, &
-       new_aod, aerosol_couple)   
+       new_aod, aerosol_couple, flag_aerosol_strat)   
 
     USE iophy 
@@ -669,5 +51,4 @@
     include "dimensions.h"
     include "temps.h"
-    include "indicesol.h"
     include "clesphys.h"
     include "thermcell.h"
@@ -677,5 +58,5 @@
     real,dimension(klon),intent(in) :: rlon
     real,dimension(klon),intent(in) :: rlat
-    integer, intent(in)             :: pim
+    INTEGER, intent(in)             :: pim
     INTEGER, DIMENSION(pim)            :: tabij
     INTEGER,dimension(pim), intent(in) :: ipt, jpt
@@ -683,10 +64,10 @@
     REAL,dimension(pim,2) :: plat_bounds, plon_bounds
 
-    integer                               :: jjmp1
-    integer                               :: nbteta, nlevSTD, radpas
-    logical                               :: ok_mensuel, ok_journe, ok_hf, ok_instan
-    logical                               :: ok_LES,ok_ade,ok_aie
-    logical                               :: new_aod, aerosol_couple
-    integer, intent(in)::  read_climoz ! read ozone climatology
+    INTEGER                               :: jjmp1
+    INTEGER                               :: nbteta, nlevSTD, radpas
+    LOGICAL                               :: ok_mensuel, ok_journe, ok_hf, ok_instan
+    LOGICAL                               :: ok_LES,ok_ade,ok_aie,flag_aerosol_strat
+    LOGICAL                               :: new_aod, aerosol_couple
+    INTEGER, intent(in)::  read_climoz ! read ozone climatology
     !     Allowed values are 0, 1 and 2
     !     0: do not read an ozone climatology
@@ -695,44 +76,43 @@
     !     climatology and the daylight climatology
 
-    real                                  :: dtime
-    integer                               :: idayref
-    real                                  :: zjulian
-    real, dimension(klev)                 :: Ahyb, Bhyb, Alt
-    character(len=4), dimension(nlevSTD)  :: clevSTD
-    integer                               :: nsrf, k, iq, iiq, iff, i, j, ilev
-    integer                               :: naero
-    logical                               :: ok_veget
-    integer                               :: iflag_pbl
-    CHARACTER(len=4)                      :: bb2
-    CHARACTER(len=2)                      :: bb3
-    character(len=6)                      :: type_ocean
-    CHARACTER(len=3)                      :: ctetaSTD(nbteta)
-    real, dimension(nfiles)               :: ecrit_files
-    CHARACTER(len=20), dimension(nfiles)  :: phys_out_filenames
-    INTEGER, dimension(iim*jjmp1)         ::  ndex2d
-    INTEGER, dimension(iim*jjmp1*klev)    :: ndex3d
-    integer                               :: imin_ins, imax_ins
-    integer                               :: jmin_ins, jmax_ins
-    integer, dimension(nfiles)            :: phys_out_levmin, phys_out_levmax
-    integer, dimension(nfiles)            :: phys_out_filelevels
-    CHARACTER(len=20), dimension(nfiles)  :: type_ecri_files, phys_out_filetypes
-    character(len=20), dimension(nfiles)  :: chtimestep   = (/ 'DefFreq', 'DefFreq','DefFreq', 'DefFreq', 'DefFreq', 'DefFreq' /)
-    logical, dimension(nfiles)            :: phys_out_filekeys
-    logical, dimension(nfiles)            :: phys_out_filestations
+    REAL                                  :: dtime
+    INTEGER                               :: idayref
+    REAL                                  :: zjulian
+    REAL, DIMENSION(klev)                 :: Ahyb, Bhyb, Alt
+    CHARACTER(LEN=4), DIMENSION(nlevSTD)  :: clevSTD
+    INTEGER                               :: nsrf, k, iq, iiq, iff, i, j, ilev
+    INTEGER                               :: naero
+    LOGICAL                               :: ok_veget
+    INTEGER                               :: iflag_pbl
+    CHARACTER(LEN=4)                      :: bb2
+    CHARACTER(LEN=2)                      :: bb3
+    CHARACTER(LEN=6)                      :: type_ocean
+    CHARACTER(LEN=3)                      :: ctetaSTD(nbteta)
+    REAL, DIMENSION(nfiles)               :: ecrit_files
+    CHARACTER(LEN=20), DIMENSION(nfiles)  :: phys_out_filenames
+    INTEGER, DIMENSION(iim*jjmp1)         ::  ndex2d
+    INTEGER, DIMENSION(iim*jjmp1*klev)    :: ndex3d
+    INTEGER                               :: imin_ins, imax_ins
+    INTEGER                               :: jmin_ins, jmax_ins
+    INTEGER, DIMENSION(nfiles)            :: phys_out_levmin, phys_out_levmax
+    INTEGER, DIMENSION(nfiles)            :: phys_out_filelevels
+    CHARACTER(LEN=20), DIMENSION(nfiles)  :: chtimestep   = (/ 'DefFreq', 'DefFreq','DefFreq', 'DefFreq', 'DefFreq', 'DefFreq' /)
+    LOGICAL, DIMENSION(nfiles)            :: phys_out_filekeys
+    LOGICAL, DIMENSION(nfiles)            :: phys_out_filestations
 
 !!!!!!!!!! stockage dans une region limitee pour chaque fichier !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     !                 entre [phys_out_lonmin,phys_out_lonmax] et [phys_out_latmin,phys_out_latmax]
 
-    logical, dimension(nfiles), save  :: phys_out_regfkey       = (/ .false., .false., .false.,  .false., .false., .false. /)
-    real, dimension(nfiles), save     :: phys_out_lonmin        = (/   -180.,   -180.,   -180.,    -180.,   -180.,   -180. /)
-    real, dimension(nfiles), save     :: phys_out_lonmax        = (/    180.,    180.,    180.,     180.,    180.,    180. /)
-    real, dimension(nfiles), save     :: phys_out_latmin        = (/    -90.,    -90.,    -90.,     -90.,    -90.,    -90. /)
-    real, dimension(nfiles), save     :: phys_out_latmax        = (/     90.,     90.,     90.,     90.,     90.,     90. /)
-
-    write(lunout,*) 'Debut phys_output_mod.F90'
+    LOGICAL, DIMENSION(nfiles), SAVE  :: phys_out_regfkey       = (/ .FALSE., .FALSE., .FALSE.,  .FALSE., .FALSE., .FALSE. /)
+    REAL, DIMENSION(nfiles), SAVE     :: phys_out_lonmin        = (/   -180.,   -180.,   -180.,    -180.,   -180.,   -180. /)
+    REAL, DIMENSION(nfiles), SAVE     :: phys_out_lonmax        = (/    180.,    180.,    180.,     180.,    180.,    180. /)
+    REAL, DIMENSION(nfiles), SAVE     :: phys_out_latmin        = (/    -90.,    -90.,    -90.,     -90.,    -90.,    -90. /)
+    REAL, DIMENSION(nfiles), SAVE     :: phys_out_latmax        = (/     90.,     90.,     90.,     90.,     90.,     90. /)
+
+    WRITE(lunout,*) 'Debut phys_output_mod.F90'
     ! Initialisations (Valeurs par defaut
 
-    if (.not. allocated(o_trac)) ALLOCATE(o_trac(nqtot))
-    if (.not. allocated(o_trac_cum)) ALLOCATE(o_trac_cum(nqtot))
+    IF (.NOT. ALLOCATED(o_trac)) ALLOCATE(o_trac(nqtot))
+    IF (.NOT. ALLOCATED(o_trac_cum)) ALLOCATE(o_trac_cum(nqtot))
 
     levmax = (/ klev, klev, klev, klev, klev, klev /)
@@ -783,35 +163,35 @@
     !! Lectures des parametres de sorties dans physiq.def
 
-    call getin('phys_out_regfkey',phys_out_regfkey)
-    call getin('phys_out_lonmin',phys_out_lonmin)
-    call getin('phys_out_lonmax',phys_out_lonmax)
-    call getin('phys_out_latmin',phys_out_latmin)
-    call getin('phys_out_latmax',phys_out_latmax)
+    CALL getin('phys_out_regfkey',phys_out_regfkey)
+    CALL getin('phys_out_lonmin',phys_out_lonmin)
+    CALL getin('phys_out_lonmax',phys_out_lonmax)
+    CALL getin('phys_out_latmin',phys_out_latmin)
+    CALL getin('phys_out_latmax',phys_out_latmax)
     phys_out_levmin(:)=levmin(:)
-    call getin('phys_out_levmin',levmin)
+    CALL getin('phys_out_levmin',levmin)
     phys_out_levmax(:)=levmax(:)
-    call getin('phys_out_levmax',levmax)
-    call getin('phys_out_filenames',phys_out_filenames)
+    CALL getin('phys_out_levmax',levmax)
+    CALL getin('phys_out_filenames',phys_out_filenames)
     phys_out_filekeys(:)=clef_files(:)
-    call getin('phys_out_filekeys',clef_files)
+    CALL getin('phys_out_filekeys',clef_files)
     phys_out_filestations(:)=clef_stations(:)
-    call getin('phys_out_filestations',clef_stations)
+    CALL getin('phys_out_filestations',clef_stations)
     phys_out_filelevels(:)=lev_files(:)
-    call getin('phys_out_filelevels',lev_files)
-    call getin('phys_out_filetimesteps',chtimestep)
+    CALL getin('phys_out_filelevels',lev_files)
+    CALL getin('phys_out_filetimesteps',chtimestep)
     phys_out_filetypes(:)=type_ecri(:)
-    call getin('phys_out_filetypes',type_ecri)
+    CALL getin('phys_out_filetypes',type_ecri)
 
     type_ecri_files(:)=type_ecri(:)
 
-    write(lunout,*)'phys_out_lonmin=',phys_out_lonmin
-    write(lunout,*)'phys_out_lonmax=',phys_out_lonmax
-    write(lunout,*)'phys_out_latmin=',phys_out_latmin
-    write(lunout,*)'phys_out_latmax=',phys_out_latmax
-    write(lunout,*)'phys_out_filenames=',phys_out_filenames
-    write(lunout,*)'phys_out_filetypes=',type_ecri
-    write(lunout,*)'phys_out_filekeys=',clef_files
-    write(lunout,*)'phys_out_filestations=',clef_stations
-    write(lunout,*)'phys_out_filelevels=',lev_files
+    WRITE(lunout,*)'phys_out_lonmin=',phys_out_lonmin
+    WRITE(lunout,*)'phys_out_lonmax=',phys_out_lonmax
+    WRITE(lunout,*)'phys_out_latmin=',phys_out_latmin
+    WRITE(lunout,*)'phys_out_latmax=',phys_out_latmax
+    WRITE(lunout,*)'phys_out_filenames=',phys_out_filenames
+    WRITE(lunout,*)'phys_out_filetypes=',type_ecri
+    WRITE(lunout,*)'phys_out_filekeys=',clef_files
+    WRITE(lunout,*)'phys_out_filestations=',clef_stations
+    WRITE(lunout,*)'phys_out_filelevels=',lev_files
 
 !!!!!!!!!!!!!!!!!!!!!!! Boucle sur les fichiers !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -823,24 +203,24 @@
 
     ! Calcul des Ahyb, Bhyb et Alt
-    do k=1,klev
+    DO k=1,klev
        Ahyb(k)=(ap(k)+ap(k+1))/2.
        Bhyb(k)=(bp(k)+bp(k+1))/2.
        Alt(k)=log(preff/presnivs(k))*8.
-    enddo
+    ENDDO
     !          if(prt_level.ge.1) then
-    write(lunout,*)'Ap Hybrid = ',Ahyb(1:klev)
-    write(lunout,*)'Bp Hybrid = ',Bhyb(1:klev)
-    write(lunout,*)'Alt approx des couches pour une haut d echelle de 8km = ',Alt(1:klev)
+    WRITE(lunout,*)'Ap Hybrid = ',Ahyb(1:klev)
+    WRITE(lunout,*)'Bp Hybrid = ',Bhyb(1:klev)
+    WRITE(lunout,*)'Alt approx des couches pour une haut d echelle de 8km = ',Alt(1:klev)
     !          endif
     DO iff=1,nfiles
 
        ! Calculate ecrit_files for all files
-       if ( chtimestep(iff).eq.'DefFreq' ) then
+       IF ( chtimestep(iff).eq.'DefFreq' ) then
           ! Par defaut ecrit_files = (ecrit_mensuel ecrit_jour ecrit_hf ...)*86400.
           ecrit_files(iff)=ecrit_files(iff)*86400.
-       else
-          call convers_timesteps(chtimestep(iff),dtime,ecrit_files(iff)) 
-       endif
-       write(lunout,*)'ecrit_files(',iff,')= ',ecrit_files(iff)
+       ELSE
+          CALL convers_timesteps(chtimestep(iff),dtime,ecrit_files(iff)) 
+       ENDIF
+       WRITE(lunout,*)'ecrit_files(',iff,')= ',ecrit_files(iff)
 
        zoutm(iff) = ecrit_files(iff) ! Frequence ou l on ecrit en seconde
@@ -862,5 +242,5 @@
 !!!!!!!!!!!!!!!!! Traitement dans le cas ou l'on veut stocker sur un domaine limite !!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-          if (phys_out_regfkey(iff)) then
+          IF (phys_out_regfkey(iff)) then
 
              imin_ins=1
@@ -871,18 +251,18 @@
              ! correction abderr        
              do i=1,iim
-                write(lunout,*)'io_lon(i)=',io_lon(i)
-                if (io_lon(i).le.phys_out_lonmin(iff)) imin_ins=i
-                if (io_lon(i).le.phys_out_lonmax(iff)) imax_ins=i+1
+                WRITE(lunout,*)'io_lon(i)=',io_lon(i)
+                IF (io_lon(i).le.phys_out_lonmin(iff)) imin_ins=i
+                IF (io_lon(i).le.phys_out_lonmax(iff)) imax_ins=i+1
              enddo
 
              do j=1,jjmp1
-                write(lunout,*)'io_lat(j)=',io_lat(j)
-                if (io_lat(j).ge.phys_out_latmin(iff)) jmax_ins=j+1
-                if (io_lat(j).ge.phys_out_latmax(iff)) jmin_ins=j
+                WRITE(lunout,*)'io_lat(j)=',io_lat(j)
+                IF (io_lat(j).ge.phys_out_latmin(iff)) jmax_ins=j+1
+                IF (io_lat(j).ge.phys_out_latmax(iff)) jmin_ins=j
              enddo
 
-             write(lunout,*)'On stoke le fichier histoire numero ',iff,' sur ', &
+             WRITE(lunout,*)'On stoke le fichier histoire numero ',iff,' sur ', &
                   imin_ins,imax_ins,jmin_ins,jmax_ins
-             write(lunout,*)'longitudes : ', &
+             WRITE(lunout,*)'longitudes : ', &
                   io_lon(imin_ins),io_lon(imax_ins), &
                   'latitudes : ', &
@@ -895,9 +275,9 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
              !IM fichiers stations
-          else if (clef_stations(iff)) THEN
-
-             write(lunout,*)'phys_output_mod phys_out_filenames=',phys_out_filenames(iff)
-
-             call histbeg_phy_all(rlon,rlat,pim,tabij,ipt,jpt,plon,plat,plon_bounds,plat_bounds, &
+          else IF (clef_stations(iff)) THEN
+
+             WRITE(lunout,*)'phys_output_mod phys_out_filenames=',phys_out_filenames(iff)
+
+             CALL histbeg_phy_all(rlon,rlat,pim,tabij,ipt,jpt,plon,plat,plon_bounds,plat_bounds, &
                   phys_out_filenames(iff), &
                   itau_phy,zjulian,dtime,nhorim(iff),nid_files(iff))
